Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

BR278E error with remote restore

Ashraf_1
Frequent Advisor

BR278E error with remote restore

Hi All,

I am trying to restore SAP/oracle database remotely using sapdba. unfurtantely i am getting the following and the restration terminated:

BR241I Checking label on volume in device /dev/rmt/c0t0d0BESTn

BR209I Volume in device /dev/rmt/c0t0d0BESTn has name YP1W90 2003-10-10 00.00.11


BR351I Restoring /oracle/YP1/sapdata4/btabd_1/btabd.data1
BR355I from /dev/rmt/c0t0d0BESTn ...
BR278E Command output of 'LANG=C cd /oracle/YP1/sapdata4/btabd_1 && LANG=C remsh
130.10.130.11 /bin/sh -c "'LANG=C dd bs=5k if=/dev/rmt/c0t0d0BESTn || echo ERR
_RC: \$? >&2 '" | LANG=C cpio -iduvB btabd.data1 2>&1 ':
Out of phase--get help
Perhaps the "-c" option should be used
BR279E Return code from 'LANG=C cd /oracle/YP1/sapdata4/btabd_1 && LANG=C remsh
130.10.130.11 /bin/sh -c "'LANG=C dd bs=5k if=/dev/rmt/c0t0d0BESTn || echo ERR_
RC: \$? >&2 '" | LANG=C cpio -iduvB btabd.data1 2>&1 ': 2
BR222E Copying /oracle/YP1/sapdata4/btabd_1/btabd.data1 to/from /dev/rmt/c0t0d0B
ESTn failed due to previous errors.
BR359E Restore of /oracle/YP1/sapdata4/btabd_1/btabd.data1 from /dev/rmt/c0t0d0B
ESTn failed.

BR406I End of database restore: rdluczlp rsb 2003-10-20 10.23.57
BR404I BRRESTORE terminated with errors.
Press to continue ...

Any help will be appreciated,

Thanks,
Ashraf
ASHRAFM
5 REPLIES
Dietmar Konermann
Honored Contributor

Re: BR278E error with remote restore

Well, looks like cpio has problems to recognize the tape's content.

Try manually on the system where the tape drive is connected with the t(est) option:

# cpio -iduvtB btabd.data1
Try also with the c option, like suggested by cpio:

# cpio -iduvtcB btabd.data1
Are you sure that the backup has been created with cpio? The brbackup allows for other tools also.

Best regards...
Dietmar.
"Logic is the beginning of wisdom; not the end." -- Spock (Star Trek VI: The Undiscovered Country)
Massimo Bianchi
Honored Contributor

Re: BR278E error with remote restore

Hi,
I encountered similar errors during newtwork restore when the block size was not 8k.


Since you are using bs=5k, i suugest you to change this value and retry.

Massimo
Ashraf_1
Frequent Advisor

Re: BR278E error with remote restore

Thanks Dietmar an Massimo,

Dietmar,
I think brbackup is using cpio for backing the the parameter file while using dd to backup data file. however, the output of the given command as follows:
# cpio -iduvtB /oracle/YP1/sapdata4/btabd_1/btabd.data1 Out of phase--get help
Perhaps the "-c" option should be used
# cpio -iduvtcB /oracle/YP1/sapdata4/btabd_1/btabd.data1 Out of phase--get help
Perhaps the "-c" option shouldn't be used

attached is the backup parameter file. Please look at if you think that it requires any modifications.

Massimo,

i changed the bs to 8k and 64k and still have the same error.


Attached is the backup parameter file( Please take a look at it).


I highly appreciated your assistance.
ASHRAFM
Massimo Bianchi
Honored Contributor

Re: BR278E error with remote restore

I still see the 5k block used, try 8k.



# remote copy-in command (backup_dev_type = pipe)
# $-character is replaced with current tape address
# !!! use copy_in_cmd to define the dd command for tape reading !!!
# !!! enclose the parameter value in double quotes !!!
# no default
copy_in_cmd = "dd bs=5k if=$"

# remote copy-out command (backup_dev_type = pipe)
# $-character is replaced with current tape address
# !!! use copy_out_cmd to define the dd command for tape writing !!!
# !!! enclose the parameter value in double quotes !!!
# no default
copy_out_cmd = "dd bs=5k of=$"



Ashraf_1
Frequent Advisor

Re: BR278E error with remote restore

Dear Massimo,

I tried with both and no changes.

do you think the parameter file lacks some needed parameters.

Thanks with regards,
Ashraf
ASHRAFM